<template>
  <div class="blank-layout">
    <div class="page-head">
      <slot name="head"></slot>
    </div>
    <div class="page-body">
      <slot name="body"></slot>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";

@Component
export default class BlankLayout extends Vue {}
</script>

<style lang="scss">
.blank-layout {
  height: 100vh;
  width: 100vw;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;

  .page-head {
    height: auto;
    width: 100vw;
    z-index: 1000;
    position: fixed;
  }
 
  .page-body {
    height: 100vh;
    width: 100vw;
    z-index: 980;
    padding-top: 9vh;
  }

  * {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
  }

  @media (min-width: 570px) { 
      .page-head {
      width: 70vw;
    }

    .page-body {
      width: 70vw;
    }
}
}


</style>